SLLV1(3)

NAME
packet.link.sllv1 - ERF module

DESCRIPTION

Decode Linux "cooked" v1 capture encapsulation layer

CLASSES

  class SLLv1(baseobj.BaseObj)
Extensible record format object

Usage:
    from packet.link.sllv1 import SLLv1

    x = SLLv1(pktt)

Object definition:

SLLv1(
    ptype  = int,    # Packet type
    dtype  = int,    # Device type
    alen   = int,    # Address length
    saddr  = int,    # Source Address
    etype  = int,    # Protocol type
    psize  = int,    # Payload data size
)

Methods defined here:
---------------------

__init__(self, pktt)
Constructor

Initialize object's private data.

    pktt:
        Packet trace object (packet.pktt.Pktt) so this layer has
        access to the parent layers.

__str__(self)
String representation of object

The representation depends on the verbose level set by debug_repr().
If set to 0 the generic object representation is returned.
If set to 1 the representation of the object is condensed:
    "SLLv1  ptype: 4, dtype: 65534, alen: 0, saddr: b'', etype: 0x86dd, psize: 116"

SEE ALSO
baseobj(3), packet.internet.ipv4(3), packet.internet.ipv6(3), packet.link.macaddr(3)

BUGS
No known bugs.

AUTHOR
Jorge Mora (mora@netapp.com)